JUCE: VST2ClientExtensions Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
VST2ClientExtensions Struct Referenceabstract
juce_audio_processors » utilities

An interface to allow an AudioProcessor to implement extended VST2-specific functionality. More...

`#include <juce_VST2ClientExtensions.h>`

## Public Types
using | VstHostCallbackType
| The host callback function type.

## Public Member Functions
virtual | ~VST2ClientExtensions ()=default
virtual pointer_sized_int | handleVstPluginCanDo (int32 index, pointer_sized_int value, void *ptr, float opt)
| This is called by the VST plug-in wrapper when it receives unhandled plug-in "can do" calls from the host.
virtual pointer_sized_int | handleVstManufacturerSpecific (int32 index, pointer_sized_int value, void *ptr, float opt)=0
| This is called by the VST plug-in wrapper when it receives unhandled vendor specific calls from the host.
virtual void | handleVstHostCallbackAvailable (std::function< VstHostCallbackType > &&callback)
| This is called once by the VST plug-in wrapper after its constructor.

## Detailed Description

An interface to allow an AudioProcessor to implement extended VST2-specific functionality.

To use this class, create an object that inherits from it, implement the methods, then return a pointer to the object in your AudioProcessor::getVST2ClientExtensions() method.

See also
  AudioProcessor, AAXClientExtensions, VST3ClientExtensions

## Member Typedef Documentation

## ◆ VstHostCallbackType

using VST2ClientExtensions::VstHostCallbackType

Initial value:
pointer_sized_int (int32 opcode,
int32 index,
pointer_sized_int value,
void* ptr,
float opt)
pointer_sized_int
int pointer_sized_int
A signed integer type that's guaranteed to be large enough to hold a pointer without truncating it.
Definition juce_MathsFunctions.h:81
int32
signed int int32
A platform-independent 32-bit signed integer type.
Definition juce_MathsFunctions.h:44

The host callback function type.

## Constructor & Destructor Documentation

## ◆ ~VST2ClientExtensions()

virtual VST2ClientExtensions::~VST2ClientExtensions | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ handleVstPluginCanDo()

virtual pointer_sized_int VST2ClientExtensions::handleVstPluginCanDo | ( | int32 | index,
|  | pointer_sized_int | value,
|  | void * | ptr,
|  | float | opt )
| virtual

This is called by the VST plug-in wrapper when it receives unhandled plug-in "can do" calls from the host.

## ◆ handleVstManufacturerSpecific()

virtual pointer_sized_int VST2ClientExtensions::handleVstManufacturerSpecific | ( | int32 | index,
|  | pointer_sized_int | value,
|  | void * | ptr,
|  | float | opt )
| pure virtual

This is called by the VST plug-in wrapper when it receives unhandled vendor specific calls from the host.

## ◆ handleVstHostCallbackAvailable()

virtual void VST2ClientExtensions::handleVstHostCallbackAvailable | ( | std::function< VstHostCallbackType > && | callback | ) |
| virtual

This is called once by the VST plug-in wrapper after its constructor.

You can use the supplied function to query the VST host.

The documentation for this struct was generated from the following file:

- juce_VST2ClientExtensions.h